<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');

$fecha=date('Y-m-d');
$hora=date('H:i:s');
$sucursal_destino=$_POST['sucursal_destino'];
$bodega_destino=$_POST['bodega_destino'];

$can=mysqli_query($con,"SELECT MAX(tra_id)as tra_id FROM traslado") or die(mysqli_error($con)); 
$dato0=mysqli_fetch_array($can);
$tra_id=$dato0['tra_id']+1;

$can=mysqli_query($con,"SELECT MAX(tra_n_traslado)as tra_n_traslado FROM traslado where empresa='$empresa'") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can);
$tra_n_traslado=$dato['tra_n_traslado']+1;
                                               
$can1=mysqli_query($con,"SELECT * FROM traslado_detalle_temp where empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con)); 
$result = mysqli_num_rows($can1);
if($result == 0)
{
    echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>La lista de Articulos esta vacia </strong> 
        </div>';
}
else
{
    $registros=mysqli_query($con,"INSERT into traslado (tra_id,tra_n_traslado,tra_fecha, tra_hora,tra_sucursal_o,tra_bodega_o,tra_sucursal_d,tra_bodega_d,tra_usuario,empresa)
    VALUES  ('$tra_id','$tra_n_traslado','$fecha','$hora','$sucursal','$bod_id','$sucursal_destino','$bodega_destino','$usu_id','$empresa')") or  die(mysqli_error($con));

    $can7=mysqli_query($con,"SELECT * FROM traslado_detalle_temp where empresa='$empresa' and usuario='$usu_id' ") or die(mysqli_error($con));  
    while($dato1=mysqli_fetch_array($can7))
    { 
        $art_id_bod=$dato1['art_id_bod'];
        $trat_art_id=$dato1['trat_art_id'];
        $trat_referencia=$dato1['trat_referencia']; 
        $trat_nombre=$dato1['trat_nombre'];            
        $trat_cantidad=$dato1['trat_cantidad'];            
        $trat_precio=$dato1['trat_precio'];

        $can5=mysqli_query($con,"INSERT INTO traslado_detalle (art_id_bod,trad_art_id,trad_referencia,trad_nombre, trad_cantidad,trad_precio,empresa,traslado_tra_id) 
        VALUES ('$art_id_bod','$trat_art_id','$trat_referencia','$trat_nombre','$trat_cantidad','$trat_precio','$empresa','$tra_id')") or die(mysqli_error($con)); 

        $can8=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE art_id='$art_id_bod' and articulos_art_id='$trat_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));  
        $dato2=mysqli_fetch_array($can8);
        $art_cantidad=$dato2['art_cantidad'];
        $art_minimo=$dato2['art_minimo']+0;
        $atributo1=$dato2['atributo1'];
        $atributo2=$dato2['atributo2'];
        $resta=$art_cantidad-$trat_cantidad;
        $registros1=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where art_id='$art_id_bod' and articulos_art_id='$trat_art_id' and bodegas='$bod_id' and empresa='$empresa'") or die(mysqli_error($con));


        $can9=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$trat_art_id' and sucursal='$sucursal_destino' and bodegas='$bodega_destino' and empresa='$empresa' and atributo1='$atributo1' and atributo2='$atributo2' ") or die(mysqli_error($con));  
        $dat=mysqli_fetch_array($can9);
        $result1=mysqli_num_rows($can9);

        if($result1 == 0)
        {
            $art_cantidad=0;
            $suma=$art_cantidad+$trat_cantidad;

            $registros2=mysqli_query($con,"INSERT INTO articulos_has_bodegas (articulos_art_id,art_cantidad,art_minimo,atributo1,atributo2,bodegas,sucursal,empresa)  
            VALUES ('$trat_art_id','$trat_cantidad','$art_minimo','$atributo1','$atributo2','$bodega_destino','$sucursal_destino','$empresa') ") or die(mysqli_error($con));
        }
        else
        {
            $art_cantidad=$dat['art_cantidad'];
            $suma=$art_cantidad+$trat_cantidad;

            $registros3=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$suma' 
            Where  articulos_art_id='$trat_art_id' and sucursal='$sucursal_destino' and bodegas='$bodega_destino' and empresa='$empresa' and atributo1='$atributo1' and atributo2='$atributo2' ") or die(mysqli_error($con));
        }
    }

    $borrar=mysqli_query($con,"DELETE FROM traslado_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

    echo '<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Traslado!</strong> Registrado correctamente.
        </div>';                       
}
?>